package back

import (
	"encoding/json"
	"fmt"
	"os"
)

type setting struct {
	ServerVersion string
	ServerDomain  string
	ServerHost    string
	ServerPort    string
	ServerSSL     bool
	ServerSSLCert string
	ServerSSLKey  string
	PgHost        string
	PgPort        string
	PgUser        string
	PgPass        string
	PgBase        string
	Data          string
	Docs          string
	Assets        string
	HTML          string
	Log           string
}

// Setting параметры сервера
var Setting setting

func initSetting() {
	// Открыть файл
	file, e := os.Open("setting.json")
	if e != nil {
		fmt.Println(e.Error())

		panic("Не удалось открыть файл конфигурации")
	}
	defer file.Close()

	stat, e := file.Stat()
	if e != nil {
		fmt.Println(e.Error())

		panic("Не удалось прочитать информацию о файле конфигурации")
	}

	readByte := make([]byte, stat.Size())

	_, e = file.Read(readByte)
	if e != nil {
		fmt.Println(e.Error())

		panic("Не удалось прочитать файл конфигурации")
	}

	e = json.Unmarshal(readByte, &Setting)
	if e != nil {
		fmt.Println(e.Error())

		panic("Не удалось считать данных файла конфигурации")
	}
}
